All Classes Namespaces Functions Variables Pages
AndersenThermostat Class Reference

This class uses the Andersen method to maintain constant temperature. More...

Inheritance diagram for AndersenThermostat:

## Public Member Functions

def | Temperature
| Temperature() -> std::string const &. More...
def | CollisionFrequency
| CollisionFrequency() -> std::string const &. More...
def | getDefaultTemperature
| getDefaultTemperature(AndersenThermostat self) -> double More...
def | setDefaultTemperature
| setDefaultTemperature(AndersenThermostat self, double temperature) More...
def | getDefaultCollisionFrequency
| getDefaultCollisionFrequency(AndersenThermostat self) -> double More...
def | setDefaultCollisionFrequency
| setDefaultCollisionFrequency(AndersenThermostat self, double frequency) More...
def | getRandomNumberSeed
| getRandomNumberSeed(AndersenThermostat self) -> int More...
def | setRandomNumberSeed
| setRandomNumberSeed(AndersenThermostat self, int seed) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(AndersenThermostat self) -> bool More...
def | __init__
| init(OpenMM::AndersenThermostat self, double defaultTemperature, double defaultCollisionFrequency) -> AndersenThermostat init(OpenMM::AndersenThermostat self, AndersenThermostat other) -> AndersenThermostat More...
def | __del__
| del(OpenMM::AndersenThermostat self) More...
Public Member Functions inherited from Force
def | __init__
def | __del__
| del(OpenMM::Force self) More...
def | getForceGroup
| getForceGroup(Force self) -> int More...
def | setForceGroup
| setForceGroup(Force self, int group) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(Force self) -> bool More...
def | __copy__
def | __deepcopy__

## Public Attributes

| this

## Static Public Attributes

tuple | Temperature = staticmethod(Temperature)
tuple | CollisionFrequency = staticmethod(CollisionFrequency)

## Detailed Description

This class uses the Andersen method to maintain constant temperature.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::AndersenThermostat self, double defaultTemperature, double defaultCollisionFrequency) -> AndersenThermostat init(OpenMM::AndersenThermostat self, AndersenThermostat other) -> AndersenThermostat

Create an AndersenThermostat.

Parameters

  defaultTemperature | the default temperature of the heat bath (in Kelvin)
  defaultCollisionFrequency | the default collision frequency (in 1/ps)

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::AndersenThermostat self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def CollisionFrequency | ( |  | args | ) |

CollisionFrequency() -> std::string const &.

This is the name of the parameter which store the current collision frequency (in 1/ps).

References AndersenThermostat.CollisionFrequency, and simtk.openmm.openmm.stripUnits().

def getDefaultCollisionFrequency | ( |  | self,
|  |  | args
| ) |  |

getDefaultCollisionFrequency(AndersenThermostat self) -> double

Get the default collision frequency (in 1/ps).

References simtk.openmm.openmm.stripUnits().

def getDefaultTemperature | ( |  | self,
|  |  | args
| ) |  |

getDefaultTemperature(AndersenThermostat self) -> double

Get the default temperature of the heat bath (in Kelvin).

References simtk.openmm.openmm.stripUnits().

def getRandomNumberSeed | ( |  | self,
|  |  | args
| ) |  |

getRandomNumberSeed(AndersenThermostat self) -> int

Get the random number seed. See setRandomNumberSeed() for details.

References simtk.openmm.openmm.stripUnits().

def setDefaultCollisionFrequency | ( |  | self,
|  |  | args
| ) |  |

setDefaultCollisionFrequency(AndersenThermostat self, double frequency)

Set the default collision frequency. This will affect any new Contexts you create, but not ones that already exist.

Parameters

  frequency | the default collision frequency (in 1/ps)

References simtk.openmm.openmm.stripUnits().

def setDefaultTemperature | ( |  | self,
|  |  | args
| ) |  |

setDefaultTemperature(AndersenThermostat self, double temperature)

Set the default temperature of the heat bath. This will affect any new Contexts you create, but not ones that already exist.

Parameters

  temperature | the default temperature of the heat bath (in Kelvin)

References simtk.openmm.openmm.stripUnits().

def setRandomNumberSeed | ( |  | self,
|  |  | args
| ) |  |

setRandomNumberSeed(AndersenThermostat self, int seed)

Set the random number seed. The precise meaning of this parameter is undefined, and is left up to each Platform to interpret in an appropriate way. It is guaranteed that if two simulations are run with different random number seeds, the sequence of collisions will be different. On the other hand, no guarantees are made about the behavior of simulations that use the same seed. In particular, Platforms are permitted to use non-deterministic algorithms which produce different results on successive runs, even if those runs were initialized identically.

If seed is set to 0 (which is the default value assigned), a unique seed is chosen when a Context is created from this Force. This is done to ensure that each Context receives unique random seeds without you needing to set them explicitly.

References simtk.openmm.openmm.stripUnits().

def Temperature | ( |  | args | ) |

Temperature() -> std::string const &.

This is the name of the parameter which stores the current temperature of the heat bath (in Kelvin).

References simtk.openmm.openmm.stripUnits(), and AndersenThermostat.Temperature.

def usesPeriodicBoundaryConditions | ( |  | self,
|  |  | args
| ) |  |

usesPeriodicBoundaryConditions(AndersenThermostat self) -> bool

Returns whether or not this force makes use of periodic boundary conditions.

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

tuple CollisionFrequency = staticmethod(CollisionFrequency)

static

Referenced by AndersenThermostat.CollisionFrequency().

tuple Temperature = staticmethod(Temperature)

static

Referenced by AndersenThermostat.Temperature().

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py